:root {
	--text: rgb(29, 29, 31);
	--background: rgba(243, 243, 245);

	--headerBackground: rgba(253, 253, 255, 0.8);
	--headerText: var(--text);
	--navBackground: white;

	--footerBackground: rgba(29, 29, 31, 0.1);
	--footerText: rgba(29, 29, 29, 0.5);

	--color1: dodgerblue;
}
html {
	margin: 0;
	padding: 0;
	font-size: 18px;
	font-style: normal;
	font-weight: normal;
	line-height: initial;
	color: var(--text);
}
body {
	box-sizing: border-box;
	margin: 0 auto;
	min-height: 100dvh;
	width: 100%;
	max-width: 960px;
	padding: 1em;
	background-color: var(--background);
	color: var(--text);
	display: flex;
	flex-direction: column;
}
@media (max-width: 600px) {
	body {
		padding: 0;
	}
}
.hidden {
	opacity: 0;
}
.noScroll {
	overflow: hidden;
}
a {
	color: var(--color1);
}
b, .bold, .strong {
	font-weight: 600;
}
h1, h2, h3, h4 {
	letter-spacing: -0.015em;
	line-height: 1em;
}
h1 {
	font-size: 2.5em;
	font-weight: 700;
	text-align: center;
	margin: 1.5em 0;
}
h2 {
	font-size: 2em;
	font-weight: 500;
	margin: 1.5em 0 1rem;
}
h3 {
	font-size: 1.25em;
	font-weight: 700;
	margin: 1.5em 0 1rem;
}
p {
	line-height: 1.4em;
	margin: 1em 0;
}
ul, ol {
	margin: 0.5em 0;
	padding-left: 1.5em;
}
li {
	line-height: 1.4em;
	margin: 0.25em 0;
	padding: 0;
}

header {
	position: fixed;
	z-index: 100;
	box-sizing: border-box;
	width: 100%;
	top: 0;
	left: 0;
	right: 0;
	padding: 1em;
}
header > div {
	background-color: var(--headerBackground);
	color: var(--headerText);
	padding: 1em;
	border-radius: 1em;
	display: flex;
	gap: 1em;
	align-items: center;
	position: sticky;
	z-index: 100;
	backdrop-filter: saturate(180%) blur(20px);
}
header .logo {
	/*flex-grow: 1;*/
	font-size: 1.5em;
	font-weight: 500;
	letter-spacing: -0.015em;
	flex-shrink: 1;
}
header .logo img {
	display: block;
	max-height: 40px;
}
@media (max-width: 600px) {
	header {
		padding: 0;
		top: 0;
		background-color: var(--headerBackground);
		backdrop-filter: saturate(180%) blur(20px);
	}
	header > div {
		background-color: unset;
		backdrop-filter: unset;
		border-radius: unset;
	}
	header .logo img {
		/*max-height: 32px;*/
	}
}
nav {
	display: flex;
	font-weight: 700;
	gap: 1em;
	line-height: 1em;
}
nav a {
	color: inherit;
	text-decoration: none;
}
nav a:hover {
	color: var(--color1);
}
nav.nav1 {
	font-size: 0.8em;
	flex-grow: 1;
	justify-content: end;
}
#navButton {
	position: absolute;
	right: 1rem;
	flex-shrink: 0;
	width: 32px;
	height: 28px;
	display: none;
	flex-direction: column;
	justify-content: space-between;
	cursor: pointer;
}
#navButton > * {
	height: 4px;
	background-color: var(--headerText);
	transition-duration: 0.5s;
	transform-origin: center center;
}
#navButton.close {
	height: 32px;
}
#navButton.close > *:nth-child(1) {
	transform-origin: center center;
	transform: rotate(45deg) translate(10px, 10px);
}
#navButton.close > *:nth-child(2) {
	opacity: 0;
}
#navButton.close > *:nth-child(3) {
	transform: rotate(-45deg) translate(10px, -10px);
}
@media (max-width: 960px) {
	header nav.nav1 {
		display: none;
	}
	#navButton {
		display: flex;
	}
}
header > nav {
	background-color: var(--headerBackground);
	backdrop-filter: saturate(180%) blur(20px);
	box-sizing: border-box;
	flex-direction: column;
	padding: 1em;
	margin-top: 0.5rem;
	border-radius: 1rem;
}
@media (max-width: 600px) {
	header > nav {
		background-color: unset;
		backdrop-filter: unset;
	}
}
main {
	flex-grow: 1;
	padding: 1em;
	margin: 4em 0 2em;
}
footer {
	background-color: var(--footerBackground);
	color: var(--footerText);
	box-sizing: border-box;
	padding: 1rem;
	border-radius: 1rem;
	font-size: 0.8em;
}
@media (max-width: 600px) {
	footer {
		border-radius: unset;
	}
}
footer a {
	color: inherit;
}

main section {
	padding: 1em;
	margin: 1.5em -1em;
	border-radius: 1em;
	background-color: white;
}
@media (max-width: 600px) {
	main section {
		border-radius: unset;
	}
}
main section > *:first-child {
	margin-top: 0.25rem;
}
main section > *:last-child {
	margin-bottom: 0.25rem;
}
main p img {
	max-width: 100%;
}
main p:has(img) {
	text-align: center;
	margin: 1.5em 0;
}
main p:has(img ~ img) {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 1em;
}
@media (max-width: 960px) {
	main p:has(img ~ img) {
		grid-template-columns: repeat(1, 1fr);
	}
}

.grid {
	display: grid;
	gap: 1em;
	grid-template-columns: repeat(3, 1fr);
}
